import request from '@/utils/request'

// 查询企微获客添加的用户列表
export function listWorkUser(query) {
  return request({
    url: '/qw/workUser/list',
    method: 'get',
    params: query
  })
}

// 查询企微获客添加的用户详细
export function getWorkUser(id) {
  return request({
    url: '/qw/workUser/' + id,
    method: 'get'
  })
}

// 新增企微获客添加的用户
export function addWorkUser(data) {
  return request({
    url: '/qw/workUser',
    method: 'post',
    data: data
  })
}

// 修改企微获客添加的用户
export function updateWorkUser(data) {
  return request({
    url: '/qw/workUser',
    method: 'put',
    data: data
  })
}

// 删除企微获客添加的用户
export function delWorkUser(id) {
  return request({
    url: '/qw/workUser/' + id,
    method: 'delete'
  })
}

// 导出企微获客添加的用户
export function exportWorkUser(query) {
  return request({
    url: '/qw/workUser/export',
    method: 'get',
    params: query
  })
}